{
  pkgs,
  ...
}: {
  
  fonts = {
    enableDefaultFonts = false;
    fontDir.enable = true;
    fonts = with pkgs; [
      ibm-plex
      lmmath
      openmoji-color
      material-design-icons
    ];

    fontconfig = {
      enable = true;
      allowBitmaps = true;
      defaultFonts = {
        monospace = [ "IBM Plex Mono" "Openmoji" "Material Design Icons" "Latin Modern Math"];
        serif = [ "IBM Plex Sans" "Openmoji" "Material Design Icons" "Latin Modern Math"];
        sansSerif = [ "IBM Plex Sans" "Openmoji" "Material Design Icons" "Latin Modern Math"];
        emoji = [ "Openmoji" ];
      };
      
      hinting.style = "hintfull";
    
    };
  };
}
